<?php 
require_once "../modelos/Pedido.php";
if (strlen(session_id())<1) 
	session_start();

$pedido 			= new Pedido();

$idpedido						=isset($_POST["idpedido"])? limpiarCadena($_POST["idpedido"]):"";
$idcliente					=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idvendedor					=isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$idusuario					=$_SESSION["idusuario"];
$tipo_comprobante		=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$tipo_comprobante1	=isset($_POST["tipo_comprobante1"])? limpiarCadena($_POST["tipo_comprobante1"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante		=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$num_pedido					=isset($_POST["num_pedido"])? limpiarCadena($_POST["num_pedido"]):"";
$fecha_hora					=isset($_POST["fecha_hora1"])? limpiarCadena($_POST["fecha_hora1"]):"";
$impuesto						=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta				=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$total_ventad				=isset($_POST["total_ventad"])? limpiarCadena($_POST["total_ventad"]):"";
$iddetallec					=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idpedidoc					=isset($_POST["idpedidoc"])? limpiarCadena($_POST["idpedidoc"]):"";
$idarticuloc				=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$tasa_dollar				=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$idclientedespacho	=isset($_POST["idclientedespacho"])? limpiarCadena($_POST["idclientedespacho"]):"";
$idlistaprecio			=isset($_POST["idlistaprecio"])? limpiarCadena($_POST["idlistaprecio"]):"";
$ivatd							=isset($_POST["ivatd"])? limpiarCadena($_POST["ivatd"]):"";


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idpedido)) {
			$rspta=$pedido->insertar($idcliente,$idusuario,$idvendedor,$tipo_comprobante,$tipo_comprobante1,$num_pedido,$fecha_hora,$total_venta,$total_ventad,$tasa_dollar,$idclientedespacho,$idlistaprecio,$ivatd,
			$_POST["idarticulo"],$_POST["idalmacen"],$_POST["cantidad"],$_POST["precio_venta"],$_POST["precio_ventad"],$_POST["nrolote"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$pedido->editar($idpedido,$idcliente,$idusuario,$idvendedor,$tipo_comprobante,$tipo_comprobante1,$num_pedido,$fecha_hora,$total_venta,$total_ventad,$tasa_dollar,$idclientedespacho,$idlistaprecio,$ivatd,
			$_POST["idarticulo"],$_POST["idalmacen"],$_POST["cantidad"],$_POST["precio_venta"],$_POST["precio_ventad"],$_POST["nrolote"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	

	case 'anular':
		$rspta=$pedido->anular($idpedido,$idusuario);
		echo $rspta ? "Pedido anulada correctamente" : "No se pudo anular el Pedido";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$pedido->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$pedido->mostrar($idpedido);
		echo json_encode($rspta);
	break;
	
	case 'procesarpedido':
		$rspta=$pedido->procesarpedido($idpedido,$idusuario);
		echo $rspta ? "proceso termino correctamente" : "No se pudo procesar";
	break;

	case 'procesarpedidor':
		$rspta=$pedido->procesarpedidor($idpedido,$idusuario);
		echo $rspta ? "proceso termino correctamente" : "No se pudo procesar";
	break;

	case 'listarDetalle':
		//recibimos el idpedido
		$id=$_GET['id'];

		$rspta=$pedido->listarDetalle($id);
		$total=0;
	
	   echo ' <thead style="background-color:#A9D0F5">
				 <th width=10>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Subtotal</th>
       </thead>';
		$cont =0;	 

		$cont =0;
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</input></td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'"></input></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_ventad,2,',','.').'"></input></td>
			<td><input type="text" style="text-align:right;width:120px" name="subtotald[]" id="subtotald[]"  value="'.number_format($reg->subtotald,2,',','.').'" readonly></input></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="impoart18[]" id="impoart18[]" value="0"></input>
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="0"></input>
			<input type="hidden" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="0"></input>
			<input type="hidden" name="descuento[]" id="descuento[]" style="text-align:right;width:120px" value="0" ></input>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'"></input>
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.$reg->idpedido.'"></input>
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'"></input>
			<input type="hidden" name="iva[]" value="0"></input>
			<input type="hidden" name="exentot[]" value="si"></input>
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.number_format($reg->precio_venta,2,',','.').'"></input>
			<input type="hidden"  name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2,',','.').'"></input>
			<input type="hidden" name="cantidadmayor[]" id="cantidadmayor[]" value="'.$reg->cantidadmayor.'" ></input>
			</td></tr>';
			$total	=$total+($reg->subtotald);
			$cont		= $cont+1;
		}
		echo '<tfoot>
         	<th>TOTAL</th>
         	<th></th>
		 			<th></th>
					<th></th>
         	<th align="right"><h4 align="right" id="totald">'.number_format($total,2,',','.').' $.</h4>
						<input type="hidden" name="total_venta1" id="total_venta1" disabled>
						<input type="hidden" name="total_venta" id="total_venta">
						<input type="hidden" name="total_ventad" id="total_ventad">
			 		</th>
				 
       </tfoot>';
	break;

	case 'listarDetallev':
		//recibimos el idpedido
		$id=$_GET['id'];

		$rspta=$pedido->listarDetalle($id);
		$total=0;
	
	   echo ' <thead style="background-color:#A9D0F5">
				 <th width=10>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Subtotal</th>
       </thead>';
		$cont =0;	 

		$cont =0;
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas" id="fila'.$cont.'">
			<td></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</input></td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" ></input></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_ventad,2,',','.').'" ></input></td>
			<td><input type="text" style="text-align:right;width:120px" name="subtotald[]" id="subtotald[]"  value="'.number_format($reg->subtotald,2,',','.').'" readonly></input></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="impoart18[]" id="impoart18[]" value="0"></input>
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="0"></input>
			<input type="hidden" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="0"></input>
			<input type="hidden" name="descuento[]" id="descuento[]" style="text-align:right;width:120px" value="0" ></input>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'"></input>
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.$reg->idpedido.'"></input>
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'"></input>
			<input type="hidden" name="iva[]" value="0"></input>
			<input type="hidden" name="exentot[]" value="si"></input>
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.number_format($reg->precio_venta,2,',','.').'"></input>
			<input type="hidden"  name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2,',','.').'"></input>
			<input type="hidden" name="cantidadmayor[]" id="cantidadmayor[]" value="'.$reg->cantidadmayor.'" ></input>
			</td></tr>';
			$total	=$total+($reg->subtotald);
			$cont		= $cont+1;
		}
		echo '<tfoot>
         	<th>TOTAL</th>
         	<th></th>
		 			<th></th>
					<th></th>
         	<th align="right"><h4 align="right" id="totald">'.number_format($total,2,',','.').' $.</h4>
						<input type="hidden" name="total_venta1" id="total_venta1" disabled>
						<input type="hidden" name="total_venta" id="total_venta">
						<input type="hidden" name="total_ventad" id="total_ventad">
			 		</th>
				 
       </tfoot>';
	break;

   case 'listar':
		$rspta=$pedido->listar();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='Pedido') {
					$url='reportes/PedidoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}elseif ($reg->estado=='Verificado'){
				$estado='<span class="badge bg-blue">Verificado</span>';	
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}
			
			if($reg->estado=='Pendiente'){
				$mostrar = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')"><i class="fa fa-pencil"></i></button>'.' '.
							'<button class="btn btn-primary btn-xs" onclick="procesarpedido('.$reg->idpedido.')"><i class="fa fa-check"></i></button>'.' '.
							'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpedido.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>';
			}else{
			    if ($reg->estado=='Verificado'){
				    $mostrar = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>'.' '.
						       '<button class="btn bg-purple btn-xs" onclick="procesarpedidor('.$reg->idpedido.')"><i class="fa fa-ban"></i></button>';	
    			}else{
    				$mostrar = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>';
    			}
		    }

			$url='reportes/PedidoNew.php?id=';	 
			$data[]=array(
						"0"=>(($reg->estado!='Anulado')?$mostrar:
								'<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>').
								'<a target="_blank" href="'.$url.$reg->idpedido.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
                        "1"=>$reg->fecha,
                        "2"=>$reg->cliente,
                        "3"=>$reg->vendedor,
                        "4"=>$reg->usuario,
                        "5"=>$reg->num_pedido,
                        "6"=>$reg->total_pedidod,
            			"7"=>$reg->cajas,
            			"8"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarc':
		$rspta=$pedido->listar();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='Pedido') {
					$url='reportes/PedidoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}	

			$tipo_comprobante = $reg->tipo_comprobante;
			if ($reg->tipo_comprobante=='Pedido') {
				$tipo_comprobante = 'Cotización';
			}

			$url='reportes/CotizacionNew.php?id=';	 
			$data[]=array(
			"0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpedido.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')">
			<i class="fa fa-eye"></i></button>').'<a target="_blank" href="'.$url.$reg->idpedido.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->vendedor,
            "4"=>$tipo_comprobante,
            "5"=>$reg->num_pedido,
            "6"=>number_format($reg->total_pedidod,2,',','.'),
						"7"=>number_format($reg->ivatd,2,',','.'),
						"8"=>number_format($reg->total_pedidod+$reg->ivatd,2,',','.'),
						"9"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarvendedor':
		$rspta=$pedido->listarvendedor($idusuario);
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='Pedido') {
					$url='reportes/PedidoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
				$boton='<button class="btn bg-purple btn-xs" onclick="mostrar('.$reg->idpedido.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpedido.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
				$boton='<button class="btn btn-warning btn-xs" onclick="mostrarv('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
				$boton='<button class="btn btn-warning btn-xs" onclick="mostrarv('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>';
			}elseif ($reg->estado=='Verificado'){
				$estado='<span class="badge bg-blue">PorFacturar</span>';
				$boton='<button class="btn btn-warning btn-xs" onclick="mostrarv('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>';
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
				$boton='<button class="btn btn-warning btn-xs" onclick="mostrarv('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>';
			}	

			$url='reportes/PedidoNew.php?id=';	 
			$data[]=array(			
						"0"=>$boton,
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            /* "3"=>$reg->usuario, */
            "3"=>'Pedido',
            "4"=>$reg->num_pedido,
            "5"=>number_format($reg->total_pedidod,2,',','.'),
						"6"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listargerente':
		$rspta=$pedido->listar();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='Pedido') {
					$url='reportes/PedidoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}	

			$url='reportes/PedidoNew.php?id=';	 
			$data[]=array(			
						"0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario, 
           /* "3"=>$reg->tipo_comprobante,*/
            "4"=>$reg->num_pedido,
            "5"=>number_format($reg->total_pedidod,2,',','.'),
						"6"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarPedido':
		$rspta=$pedido->listarPedido();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
					"0"=>'<button class="btn btn-warning" 
					onclick="agregarDetallePedido('.$reg->idpedido.')">
					<span class="fa fa-plus"></span></button>',
					"1"=>$reg->vendedor,
					"2"=>$reg->cliente,
					/*"3"=>$reg->zona,  */
					"3"=>$reg->cajas,
					"4"=>$reg->num_pedido,
					"5"=>$reg->total_pedidod,
					"6"=>$reg->estado
					);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Cliente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();

		$rspta = $transportista->listar();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectVendedor':
		require_once "../modelos/Vendedor.php";
		$vendedor 	= new Vendedor();
		$rspta 		= $vendedor->listar();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idvendedor.'>'.$reg->nombre.'</option>';
		}
	break;

	/* case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentaa();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->preciopvp.','.$reg->preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentab();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentac();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break; */

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentaa();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentaa2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentaa3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentaa4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentaa5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentaa6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentaa7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentaa8();
		}else{
			$rspta		=$articulo->listarActivosVentaa9();
		}
		
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo		=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentab();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentab2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentab3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentab4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentab5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentab6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentab7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentab8();
		}else{
			$rspta		=$articulo->listarActivosVentab9();
		}
	
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						 onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentac();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentac2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentac3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentac4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentac5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentac6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentac7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentac8();
		}else{
			$rspta		=$articulo->listarActivosVentac9();
		}
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosd':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentad();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentad2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentad3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentad4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentad5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentad6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentad7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentad8();
		}else{
			$rspta		=$articulo->listarActivosVentad9();
		}
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 	0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulose':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentae();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentae2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentae3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentae4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentae5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentae6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentae7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentae8();
		}else{
			$rspta		=$articulo->listarActivosVentae9();
		}
		$dataA		=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 	0;
		$linea			= "";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosVenta();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		$almacen				='N/A';
		$nrolote				='N/A';
		$fechalote			='N/A';
		$impuestoart18	= 0;
		$impuestoart18d	= 0;
		$preciopvp			= 0;
		$preciopvpd			= 0;
		$stock					= 100000;

		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->preciod.',    '.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$reg->exento.'\','.$impuestoart18.','.$impuestoart18d.','.$preciopvp.','.$preciopvpd.','.$stock.')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;


/* 
agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,
precio_ventad,porcentaje,nrolote,fechalote,exento,impuestoart18,impuestoart18d,preciopvp,preciopvpd,stock)
*/

	case 'agregarDetallePedido':
		//recibimos el idtarjeta
		$id							=	$_GET['id'];
		$cont						=	$_GET['cont']*1;
		//Pedido con la lista de precio del cliente
		//	$rspta					=	$pedido->agregarDetallePedido($id);
		//Pedido Original 
		$rspta					=	$pedido->agregarDetallePedido1($id);
		$rspta1					=	$pedido->listaprecio();
		$imp18_empresa	=	$_SESSION['impuestoart18_empresa'];
		$listaprecio		= [];
		while ($reg1=$rspta1->fetch_object()) {
			$listaprecio[]=$reg1->lista;
		}
		//$cont	=200;
		while ($reg=$rspta->fetch_object()) {

		
			/* if ($imp18_empresa=='si'){
				$td			=	'<td><input type="text" name="impoart18d[]" id="impoart18d[]" style="text-align:right;width:120px" value="'.number_format($reg->impoart18d,2).'" >
								<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'" >
								<input type="hidden" name="impoart181[]" id="impoart181[]" value="'.$reg->impoart18.'">
								<input type="hidden" name="impoart181d[]" id="impoart181d[]" value="'.$reg->impoart18.'"></td>';
				$td1		=	'<td><input type="text" name="precio_ventapvpd[]" id="precio_ventapvpd[]" style="text-align:right;width:120px" value="'.number_format($reg->preciopvpd,2).'"></td>'; 
			}else{*/
				$td			=	'<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'">
									<input type="hidden" name="impoart18d[]" id="impoart18d[]" value="'.number_format($reg->impoart18d,2).'">
									<input type="hidden" name="impoart181[]" id="impoart181[]" value="'.$reg->impoart18.'">
									<input type="hidden" name="impoart181d[]" id="impoart181d[]" value="'.$reg->impoart18d.'"></td>';
				$td1		=	'<input type="hidden" name="precio_ventapvpd[]" id="precio_ventapvpd[]" value="'.number_format($reg->preciopvpd,2).'">';
			/* } */
			$boton = '<button type="button" class="btn bg-blue" onclick="buscarprecioa('.$cont.')">'.$listaprecio[0].'</button>
		  <button type="button" class="btn bg-green" onclick="buscarpreciob('.$cont.')">'.$listaprecio[1].'</button>
		  <button type="button" class="btn bg-yellow" onclick="buscarprecioc('.$cont.')">'.$listaprecio[2].'</button>
		  <button type="button" class="btn bg-orange" onclick="buscarpreciod('.$cont.')">'.$listaprecio[3].'</button>
		  <button type="button" class="btn bg-navy" onclick="buscarprecioe('.$cont.')">'.$listaprecio[4].'</button>';
			if ($reg->idalmacen=='N/A') {
				$boton = '';
			}

     	echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td style="text-align:left;width:400px;font-size:50%;">
			<button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button>
			'.$boton.'
			</td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->articulo.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" ></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->preciod,2,',','.').'" ></td>
			'.$td1.'
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'.number_format($reg->porcentaje,0,',','.').'" ></td>
			<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px"value="'.number_format($reg->descuento,2,',','.').'"  ></td>
			'.$td.'
			<td><input type="text" name="subtotald[]" id="subtotald[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotald,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'"></input>
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idpedido)*1).'"></input>
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'"></input>
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'"></input>
			<input type="hidden" name="ivad[]" value="'.number_format($reg->ivad,2,',','.').'"></input>
			<input type="hidden" name="exentot[]" value="'.number_format($reg->exentot,2,',','.').'"></input>
			<input type="hidden" name="exentotd[]" value="'.number_format($reg->exentotd,2,',','.').'"></input>
			<input type="hidden" name="precio_venta[]" id="precio_venta[]"  value="'.number_format($reg->precio,2,',','.').'" ></input>	
			<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'"></input>
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format($reg->preciopvp,2,',','.').'"></input>
			<input type="hidden" name="descuento[]" id="descuento[]" value="'.number_format($reg->descuento,2,',','.').'"></input>
			<input type="hidden" name="posicion[]" id="posicion[]" value="'.$cont.'" ></input>
			<input type="hidden" name="stock[]" id="stock[]" value="'.$reg->stock.'" ></input>
			<input type="hidden" name="cantidadmayor[]" id="cantidadmayor[]" value="'.$reg->cantidadmayor.'" ></input>
			</td>
			</tr>';
			$cont=$cont+1;
		}
	break;
}
 ?>